#
# spec file for package sca-patterns-sle15
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sca_common sca
%define patdirbase /usr/lib/%{sca_common}
%define patdir %{patdirbase}/patterns
%define patuser root
%define patgrp root
%define mode 544
%define category SLE

Name:           sca-patterns-sle15
Version:        1.0.1
Release:        12.1
Summary:        Supportconfig Analysis Patterns for SLE15
License:        GPL-2.0-only
Group:          System/Monitoring
URL:            https://github.com/g23guy/sca-patterns-sle15
Source:         %{name}-%{version}.tar.gz
BuildRequires:  fdupes
Requires:       sca-patterns-base
BuildArch:      noarch

%description
Supportconfig Analysis (SCA) appliance patterns to identify known
issues relating to all versions of SLE15. 

See %{_docdir}/sca-patterns-base/COPYING.GPLv2

%prep
%setup -q

%build

%install
pwd;ls -la
install -d %{buildroot}/%{patdir}/%{category}
install -d %{buildroot}/%{patdir}/%{category}/sle15all
install -d %{buildroot}/%{patdir}/%{category}/sle15sp0
install -d %{buildroot}/%{patdir}/%{category}/sle15sp1
install -d %{buildroot}/%{patdir}/%{category}/sle15sp2
install -d %{buildroot}/%{patdir}/%{category}/sle15sp3
install -d %{buildroot}/%{patdir}/%{category}/sle15sp4
install -m %{mode} patterns/%{category}/sle15all/* %{buildroot}/%{patdir}/%{category}/sle15all
install -m %{mode} patterns/%{category}/sle15sp0/* %{buildroot}/%{patdir}/%{category}/sle15sp0
install -m %{mode} patterns/%{category}/sle15sp1/* %{buildroot}/%{patdir}/%{category}/sle15sp1
install -m %{mode} patterns/%{category}/sle15sp2/* %{buildroot}/%{patdir}/%{category}/sle15sp2
install -m %{mode} patterns/%{category}/sle15sp3/* %{buildroot}/%{patdir}/%{category}/sle15sp3
install -m %{mode} patterns/%{category}/sle15sp4/* %{buildroot}/%{patdir}/%{category}/sle15sp4
%fdupes %{buildroot}

%files
%defattr(-,%{patuser},%{patgrp})
%dir %{patdirbase}
%dir %{patdir}
%dir %{patdir}/%{category}
%dir %{patdir}/%{category}/sle15all
%dir %{patdir}/%{category}/sle15sp0
%dir %{patdir}/%{category}/sle15sp1
%dir %{patdir}/%{category}/sle15sp2
%dir %{patdir}/%{category}/sle15sp3
%dir %{patdir}/%{category}/sle15sp4
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15all/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp0/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp1/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp2/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp3/*
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp4/*
%attr(444,%{patuser},%{patgrp}) %{patdir}/%{category}/sle15sp4/README

%changelog
* Wed Mar 31 2021 jason.record@suse.com
- Changes to version 1.0.1
  + Mar 2021 New Security Announcement Patterns (19) for SUSE-SU-2021:0955-1 SUSE-SU-2021:0778-1 SUSE-SU-2021:0948-1 SUSE-SU-2021:0974-1 SUSE-SU-2021:0777-1 SUSE-SU-2021:0947-1 SUSE-SU-2021:0955-1 SUSE-SU-2021:0754-1 SUSE-SU-2021:0930-1 SUSE-SU-2021:0945-1 SUSE-SU-2021:0741-1 SUSE-SU-2021:0683-1 SUSE-SU-2021:0935-1 SUSE-SU-2021:0778-1 SUSE-SU-2021:0770-1 SUSE-SU-2021:0989-1 SUSE-SU-2021:0755-1 SUSE-SU-2021:0740-1 SUSE-SU-2021:0685-1
- New regular patterns (4) for version 1.0.1
  + sle15all/gpgpubkey-000019712.py: zypper or rpm warns about unsupported V3 key after upgrade (bsc#1158913)
  + sle15all/rsyslog-000019710.py: no syslog service after upgrade (bsc#1158912)
  + sle15all/tmpfiles-000019707.py: systemd-tmpfiles-setup.service failed after upgrade (bsc#1158911)
  + sle15all/zerologon-000019713.py: Zerologon aka CVE-2020-1472 (bsc#1176579)
* Fri Mar 26 2021 jason.record@suse.com
- New regular patterns (5) for version 1.0.1
  + sle15sp2/kernel-000019739.py: BIOS update failure when an update is performed using the Linux .bin files (bsc#1175952)
  + sle15sp2/bleedingtooth_152-000019735.py: BleedingTooth aka CVE-2020-12351, CVE-2020-12352, and CVE-2020-24490
  + sle15sp1/bleedingtooth_151-000019735.py: BleedingTooth aka CVE-2020-12351, CVE-2020-12352, and CVE-2020-24490
  + sle15sp0/bleedingtooth_150-000019735.py: BleedingTooth aka CVE-2020-12351, CVE-2020-12352, and CVE-2020-24490
  + sle15all/amavis-000019709.py: amavis.service failed to start after upgrade
* Wed Mar 24 2021 jason.record@suse.com
- New regular patterns (6) for version 1.0.1
  + sle15sp2/openwsman-000019729.py: owsmangencert.sh generates error (bsc#1174541)
  + sle15sp2/lscpu-000019784-15.py: lscpu segfaults on IBM Power8 - Assertion failed (bsc#1175623)
  + sle15sp1/x710-000019639.py: Intel X710 based NIC is not detected (bsc#1151067)
  + sle15sp1/plymouth-000019595.py: plymouth hang - login to console not possible
  + sle15sp1/lscpu-000019784-15.py: lscpu segfaults on IBM Power8 - Assertion failed (bsc#1175623)
  + sle15sp0/plymouth-000019595.py: plymouth hang - login to console not possible
* Thu Mar  4 2021 jason.record@suse.com
- Changes to version 1.0.1
  + Feb 2021 New Security Announcement Patterns (15) for SUSE-SU-2021:0536-1 SUSE-SU-2021:0630-1 SUSE-SU-2021:0521-1 SUSE-SU-2021:0529-1 SUSE-SU-2021:0594-1 SUSE-SU-2021:0543-1 SUSE-SU-2021:0544-1 SUSE-SU-2021:0354-1 SUSE-SU-2021:0285-1 SUSE-SU-2021:0551-1 SUSE-SU-2021:0628-1 SUSE-SU-2021:0341-1 SUSE-SU-2021:0440-1 SUSE-SU-2021:0277-1 SUSE-SU-2021:0438-1
  + Jan 2021 New Security Announcement Patterns (17) for SUSE-SU-2021:0109-1 SUSE-SU-2021:0197-1 SUSE-SU-2021:0183-1 SUSE-SU-2021:0129-1 SUSE-SU-2021:0127-1 SUSE-SU-2021:0195-1 SUSE-SU-2021:0117-1 SUSE-SU-2021:0184-1 SUSE-SU-2021:0163-1 SUSE-SU-2021:0183-1 SUSE-SU-2021:0118-1 SUSE-SU-2021:0163-1 SUSE-SU-2021:0023-1 SUSE-SU-2021:0040-1 SUSE-SU-2021:0060-1 SUSE-SU-2021:0029-1 SUSE-SU-2021:0162-1
  + Dec 2020 New Security Announcement Patterns (51) for SUSE-SU-2020:3597-1 SUSE-SU-2020:3930-1 SUSE-SU-2020:3593-1 SUSE-SU-2020:3749-1 SUSE-SU-2020:3933-1 SUSE-SU-2020:3588-1 SUSE-SU-2020:3915-1 SUSE-SU-2020:3615-1 SUSE-SU-2020:3867-1 SUSE-SU-2020:3597-1 SUSE-SU-2020:3930-1 SUSE-SU-2020:3593-1 SUSE-SU-2020:3723-1 SUSE-SU-2020:3737-1 SUSE-SU-2020:3592-1 SUSE-SU-2020:3721-1 SUSE-SU-2020:3736-1 SUSE-SU-2020:3748-1 SUSE-SU-2020:3749-1 SUSE-SU-2020:3933-1 SUSE-SU-2020:3735-1 SUSE-SU-2020:3790-1 SUSE-SU-2020:3895-1 SUSE-SU-2020:3586-1 SUSE-SU-2020:3881-1 SUSE-SU-2020:3611-1 SUSE-SU-2020:3864-1 SUSE-SU-2020:3597-1 SUSE-SU-2020:3930-1 SUSE-SU-2020:3593-1 SUSE-SU-2020:3723-1 SUSE-SU-2020:3737-1 SUSE-SU-2020:3720-1 SUSE-SU-2020:3866-1 SUSE-SU-2020:3718-1 SUSE-SU-2020:3749-1 SUSE-SU-2020:3933-1 SUSE-SU-2020:3733-1 SUSE-SU-2020:3790-1 SUSE-SU-2020:3589-1 SUSE-SU-2020:3864-1 SUSE-SU-2020:3597-1 SUSE-SU-2020:3930-1 SUSE-SU-2020:3593-1 SUSE-SU-2020:3722-1 SUSE-SU-2020:3762-1 SUSE-SU-2020:3882-1 SUSE-SU-2020:3932-1 SUSE-SU-2020:3591-1 SUSE-SU-2020:3749-1 SUSE-SU-2020:3933-1
  + Nov 2020 New Security Announcement Patterns (40) for SUSE-SU-2020:3412-1 SUSE-SU-2020:3376-1 SUSE-SU-2020:3166-1 SUSE-SU-2020:3271-1 SUSE-SU-2020:3161-1 SUSE-SU-2020:3358-1 SUSE-SU-2020:3155-1 SUSE-SU-2020:3115-1 SUSE-SU-2020:3566-1 SUSE-SU-2020:3463-1 SUSE-SU-2020:3476-1 SUSE-SU-2020:3384-1 SUSE-SU-2020:3377-1 SUSE-SU-2020:3373-1 SUSE-SU-2020:3273-1 SUSE-SU-2020:3122-1 SUSE-SU-2020:3330-1 SUSE-SU-2020:3359-1 SUSE-SU-2020:3473-1 SUSE-SU-2020:3152-1 SUSE-SU-2020:3376-1 SUSE-SU-2020:3166-1 SUSE-SU-2020:3372-1 SUSE-SU-2020:3276-1 SUSE-SU-2020:3282-1 SUSE-SU-2020:3358-1 SUSE-SU-2020:3243-1 SUSE-SU-2020:3115-1 SUSE-SU-2020:3566-1 SUSE-SU-2020:3476-1 SUSE-SU-2020:3385-1 SUSE-SU-2020:3377-1 SUSE-SU-2020:3459-1 SUSE-SU-2020:3425-1 SUSE-SU-2020:3413-1 SUSE-SU-2020:3507-1 SUSE-SU-2020:3272-1 SUSE-SU-2020:3330-1 SUSE-SU-2020:3359-1 SUSE-SU-2020:3165-1
* Mon Mar  1 2021 jason.record@suse.com
- Pattern for TID000019883 - iscsiadm crashing when updating target parameter
- Pattern for TID000019637 - cpupower tool unable to read boost states for AMD Rome CPUs
* Tue Jan 26 2021 jason.record@suse.com
- Pattern for TID000019825 - Graphic interface no longer working after patches
* Mon Jan 25 2021 jason.record@suse.com
- Patterns for TID000019786 Security Vulnerability: SADDNS attack (CVE-2020-25705)
* Thu Dec 10 2020 jason.record@suse.com
- Changes to version 1.0.1
  + New Security Announcement Patterns for SUSE-SU-2020:3565-1 SUSE-SU-2020:3568-1 SUSE-SU-2020:3380-1 SUSE-SU-2020:3565-1 SUSE-SU-2020:3568-1 SUSE-SU-2020:3500-1 SUSE-SU-2020:3551-1 SUSE-SU-2020:3460-1 SUSE-SU-2020:3478-1 SUSE-SU-2020:3380-1 SUSE-SU-2020:3565-1 SUSE-SU-2020:3568-1 SUSE-SU-2020:3500-1 SUSE-SU-2020:3551-1 SUSE-SU-2020:3460-1 SUSE-SU-2020:3478-1 SUSE-SU-2020:3380-1 SUSE-SU-2020:3565-1 SUSE-SU-2020:3455-1 SUSE-SU-2020:3568-1 SUSE-SU-2020:3500-1 SUSE-SU-2020:2474-2 SUSE-SU-2020:3551-1 SUSE-SU-2020:3375-1 SUSE-SU-2020:3532-1 SUSE-SU-2020:3532-1 SUSE-SU-2020:3460-1 SUSE-SU-2020:3478-1 SUSE-SU-2020:3552-1
* Tue Nov 17 2020 jason.record@suse.com
- Chanages to version 1.0.1
  + New Security Announcement Patterns
  SUSE-SU-2020:1126-1 SUSE-SU-2020:2344-1 SUSE-SU-2020:3067-1 SUSE-SU-2020:3151-1 SUSE-SU-2020:2583-1 SUSE-SU-2020:2914-1 SUSE-SU-2020:1083-1 SUSE-SU-2020:1773-1 SUSE-SU-2020:1379-1 SUSE-SU-2020:2266-1 SUSE-SU-2020:1334-1 SUSE-SU-2020:2767-1 SUSE-SU-2020:1023-1 SUSE-SU-2020:2995-1 SUSE-SU-2020:1220-1 SUSE-SU-2020:2095-1 SUSE-SU-2020:0991-1 SUSE-SU-2020:0820-1 SUSE-SU-2020:1584-1 SUSE-SU-2020:2988-1 SUSE-SU-2020:2073-1 SUSE-SU-2020:2303-1 SUSE-SU-2020:1300-1 SUSE-SU-2020:0819-1 SUSE-SU-2020:0617-1 SUSE-SU-2020:0231-1 SUSE-SU-2020:0231-1 SUSE-SU-2020:0466-1 SUSE-SU-2020:0466-1 SUSE-SU-2020:1511-1 SUSE-SU-2020:1569-1 SUSE-SU-2020:1684-1 SUSE-SU-2020:2143-1 SUSE-SU-2020:2453-1 SUSE-SU-2020:3349-1 SUSE-SU-2020:1663-1 SUSE-SU-2020:1663-1 SUSE-SU-2020:2106-1 SUSE-SU-2020:2106-1 SUSE-SU-2020:2610-1 SUSE-SU-2020:2610-1 SUSE-SU-2020:0204-1 SUSE-SU-2020:0213-1 SUSE-SU-2020:0213-1 SUSE-SU-2020:0868-1 SUSE-SU-2020:1475-1 SUSE-SU-2020:1663-1 SUSE-SU-2020:1769-1 SUSE-SU-2020:1771-1 SUSE-SU-2020:1789-1 SUSE-SU-2020:3244-1 SUSE-SU-2020:0948-1 SUSE-SU-2020:2901-1 SUSE-SU-2020:0349-1 SUSE-SU-2020:0349-1 SUSE-SU-2020:2748-1 org:SUSE-SU-2019 SUSE-SU-2020:0130-1 SUSE-SU-2020:0130-1 SUSE-SU-2020:1250-1 SUSE-SU-2020:2969-1 SUSE-SU-2020:0143-1 SUSE-SU-2020:0143-1 SUSE-SU-2020:2116-1 SUSE-SU-2020:2197-1 SUSE-SU-2020:1423-1 SUSE-SU-2020:1677-1 SUSE-SU-2020:1850-1 SUSE-SU-2020:1171-1 SUSE-SU-2020:0455-1 SUSE-SU-2020:0455-1 SUSE-SU-2020:1568-1 SUSE-SU-2020:2829-1 SUSE-SU-2020:0454-1 SUSE-SU-2020:0454-1 SUSE-SU-2020:1576-1 SUSE-SU-2020:1823-1 SUSE-SU-2020:2947-1 SUSE-SU-2020:1219-1 SUSE-SU-2020:1856-1 SUSE-SU-2020:2712-2 SUSE-SU-2020:3313-1 SUSE-SU-2020:2713-1 SUSE-SU-2020:0357-1 SUSE-SU-2020:0357-1 SUSE-SU-2020:2645-1 SUSE-SU-2020:2827-1 SUSE-SU-2020:1682-1 SUSE-SU-2020:1163-1 SUSE-SU-2020:1858-1 SUSE-SU-2020:2814-1 SUSE-SU-2020:0622-1 SUSE-SU-2020:2997-1 SUSE-SU-2020:0589-1 SUSE-SU-2020:0589-1 SUSE-SU-2020:2264-1 SUSE-SU-2020:2149-1 SUSE-SU-2020:1920-1 SUSE-SU-2020:2784-1 SUSE-SU-2020:3269-1 SUSE-SU-2020:1822-1 SUSE-SU-2020:1523-1 SUSE-SU-2020:0260-1 SUSE-SU-2020:0260-1 SUSE-SU-2020:1179-1 SUSE-SU-2020:3147-1 SUSE-SU-2020:1177-1 SUSE-SU-2020:0737-1 SUSE-SU-2020:1151-1 SUSE-SU-2020:1973-1 SUSE-SU-2020:0224-1 SUSE-SU-2020:0224-1 SUSE-SU-2020:1132-1 SUSE-SU-2020:2065-1 SUSE-SU-2020:2719-1 SUSE-SU-2020:3087-1 SUSE-SU-2020:0813-1 SUSE-SU-2020:1156-1 SUSE-SU-2020:2442-1 SUSE-SU-2020:0408-1 SUSE-SU-2020:0408-1 SUSE-SU-2020:0335-1 SUSE-SU-2020:0335-1 SUSE-SU-2020:2882-1 SUSE-SU-2020:0598-1 SUSE-SU-2020:1364-1 SUSE-SU-2020:1841-1 SUSE-SU-2020:2045-1 SUSE-SU-2020:3283-1 SUSE-SU-2020:1819-1 SUSE-SU-2020:1551-1 SUSE-SU-2020:0468-1 SUSE-SU-2020:0468-1 SUSE-SU-2020:1109-1 SUSE-SU-2020:1198-1 SUSE-SU-2020:1990-1 SUSE-SU-2020:2198-1 SUSE-SU-2020:0263-1 SUSE-SU-2020:0263-1 SUSE-SU-2020:0370-1 SUSE-SU-2020:0370-1 SUSE-SU-2020:0693-1 SUSE-SU-2020:2326-1 SUSE-SU-2020:2398-1 SUSE-SU-2020:1933-1 SUSE-SU-2020:3264-1 SUSE-SU-2020:1396-2 SUSE-SU-2020:1126-1 SUSE-SU-2020:2344-1 SUSE-SU-2020:3067-1 SUSE-SU-2020:3151-1 SUSE-SU-2020:2914-1 SUSE-SU-2020:1083-1 SUSE-SU-2020:1773-1 SUSE-SU-2020:1023-1 SUSE-SU-2020:2995-1 SUSE-SU-2020:1220-1 SUSE-SU-2020:2095-1 SUSE-SU-2020:0991-1 SUSE-SU-2020:0820-1 SUSE-SU-2020:1584-1 SUSE-SU-2020:2988-1 SUSE-SU-2020:1300-1 SUSE-SU-2020:0819-1 SUSE-SU-2020:0231-1 SUSE-SU-2020:0466-1 SUSE-SU-2020:1511-1 SUSE-SU-2020:1569-1 SUSE-SU-2020:1684-1 SUSE-SU-2020:2143-1 SUSE-SU-2020:2453-1 SUSE-SU-2020:0204-1 SUSE-SU-2020:0213-1 SUSE-SU-2020:0868-1 SUSE-SU-2020:1475-1 SUSE-SU-2020:1769-1 SUSE-SU-2020:1771-1 SUSE-SU-2020:0948-1 SUSE-SU-2020:2901-1 SUSE-SU-2020:0143-1 SUSE-SU-2020:2116-1 SUSE-SU-2020:2197-1 SUSE-SU-2020:1423-1 SUSE-SU-2020:1677-1 SUSE-SU-2020:1850-1 SUSE-SU-2020:0455-1 SUSE-SU-2020:1568-1 SUSE-SU-2020:2829-1 SUSE-SU-2020:0454-1 SUSE-SU-2020:1576-1 SUSE-SU-2020:1823-1 SUSE-SU-2020:2947-1 SUSE-SU-2020:1219-1 SUSE-SU-2020:1856-1 SUSE-SU-2020:3313-1 SUSE-SU-2020:2713-1 SUSE-SU-2020:0357-1 SUSE-SU-2020:2645-1 SUSE-SU-2020:2827-1 SUSE-SU-2020:1682-1 SUSE-SU-2020:0622-1 SUSE-SU-2020:2997-1 SUSE-SU-2020:2149-1 SUSE-SU-2020:1920-1 SUSE-SU-2020:2784-1 SUSE-SU-2020:3269-1 SUSE-SU-2020:1822-1 SUSE-SU-2020:1177-1 SUSE-SU-2020:0737-1 SUSE-SU-2020:1156-1 SUSE-SU-2020:2442-1 SUSE-SU-2020:0408-1 SUSE-SU-2020:0335-1 SUSE-SU-2020:1551-1 SUSE-SU-2020:0468-1 SUSE-SU-2020:1109-1 SUSE-SU-2020:1198-1 SUSE-SU-2020:1990-1 SUSE-SU-2020:2198-1 SUSE-SU-2020:0693-1 SUSE-SU-2020:1933-1 SUSE-SU-2020:3264-1 SUSE-SU-2020:2914-1 SUSE-SU-2020:1083-1 SUSE-SU-2020:2995-1 SUSE-SU-2020:2095-1 SUSE-SU-2020:1584-1 SUSE-SU-2020:1300-1 SUSE-SU-2020:1511-1 SUSE-SU-2020:1684-1 SUSE-SU-2020:2143-1 SUSE-SU-2020:2453-1 SUSE-SU-2020:1769-1 SUSE-SU-2020:1771-1 SUSE-SU-2020:0948-1 SUSE-SU-2020:2901-1 org:SUSE-SU-2019 SUSE-SU-2020:2116-1 SUSE-SU-2020:2197-1 SUSE-SU-2020:1423-1 SUSE-SU-2020:1677-1 SUSE-SU-2020:1850-1 SUSE-SU-2020:1568-1 SUSE-SU-2020:2829-1 SUSE-SU-2020:1576-1 SUSE-SU-2020:1823-1 SUSE-SU-2020:2947-1 SUSE-SU-2020:1856-1 SUSE-SU-2020:3313-1 SUSE-SU-2020:1682-1 SUSE-SU-2020:1920-1 SUSE-SU-2020:2784-1 SUSE-SU-2020:3269-1 SUSE-SU-2020:1822-1 SUSE-SU-2020:1177-1 SUSE-SU-2020:1156-1 SUSE-SU-2020:2442-1 SUSE-SU-2020:1551-1 SUSE-SU-2020:3264-1 SUSE-SU-2020:1396-2
  + Removed obsolete README place holders in sp0-2
* Mon Nov 19 2018 jason.record@suse.com
- Added openssh-7023532.py to detect bsc#1115654
* Tue Jan  2 2018 jason.record@suse.com
- Removed unnecessary %%clean from spec
* Fri Dec 22 2017 jason.record@suse.com
- Fixed spec file ownership
* Mon Dec 18 2017 jason.record@suse.com
- Added SLE15 SP4 placeholder
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
* Fri Oct 27 2017 jason.record@suse.com
- Initial Commit
